=== debian/changelog ===
hotot (1:0.9.7+git20111028.00039ca-1) unstable; urgency=low

  * New upstream snapshot
  * Add epoch to the package version number due to upstream switch to git
  * Update source code location accordingly
  * Also build-depends on python-setuptools 
  * Remove X-Python-Version field as I am unsure which is the minimum
    supported python version 
  * Fix DEP-5 copyright syntax 
  * Fix permissions for some images

 -- Julien Valroff <julien@debian.org>  Sat, 29 Oct 2011 08:14:34 +0200

hotot (0.9.7+hg995-1) unstable; urgency=low

  * New upstream development release
  * Update source code location

 -- Julien Valroff <julien@debian.org>  Fri, 02 Sep 2011 18:24:53 +0200

hotot (0.9.6~hg959-1) unstable; urgency=low

  * New upstream snapshot (Closes: #632335)
  * Drop patches merged upstream:
    - 001_jquery-1.6.diff: add support for jquery 1.6
    - 002_source.diff: allow Hotot name to be displayed on tweets/dents
  * Fix typo in short description (Closes: #635231) 
  * Don't ship unused .mo files 

 -- Julien Valroff <julien@debian.org>  Sat, 13 Aug 2011 08:16:40 +0200

hotot (0.9.6~hg814-3) unstable; urgency=low

  * Upload to unstable
  * Fix section from "admin" to "net" (Closes: #630674) 
  * Add patch to allow Hotot name to be displayed on tweets/dents 
  * Add missing runtime dependencies
  * Fix path to .js libraries in debian/copyright 

 -- Julien Valroff <julien@debian.org>  Sun, 10 Jul 2011 20:50:29 +0200

hotot (0.9.6~hg814-2) experimental; urgency=low

  * Add patch from upstream hg repository adding support for
    jquery 1.6 

 -- Julien Valroff <julien@debian.org>  Sun, 03 Jul 2011 07:56:55 +0200

hotot (0.9.6~hg814-1) experimental; urgency=low

  * Initial release. (Closes: #598045)

 -- Julien Valroff <julien@debian.org>  Sun, 05 Jun 2011 17:40:32 +0200
