=== debian/control ===
Source: hotot
Section: net
Priority: optional
Maintainer: Julien Valroff <julien@debian.org> 
Uploaders: Julián Moreno Patiño <darkjunix@gmail.com>
Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~), python-distutils-extra, python-setuptools
Standards-Version: 3.9.2
Homepage: http://www.hotot.org
Vcs-Git: git://git.debian.org/collab-maint/hotot.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/hotot.git;a=summary

Package: hotot
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, python-gobject, python-webkit, python-keybinder, python-notify, libjs-jquery
Description: lightweight microblogging client
 Hotot is a lightweight Twitter and identi.ca client based on GTK+ and WebKit.
 .
 Features include:
   * Update/View Timelines
   * Follow/Unfollow people
   * Post status
   * Reply tweets
   * Post direct messages
   * View people profile
   * Native notification
   * Global key-shortcut
