## hotot 0.9.7.32+git20111213.1d89daf

=== qt/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)
