=== debian/changelog ===
hotot (1:0.9.7.32+git20111213.1d89daf-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added missing python-dbus dependency (Closes: #653691).

 -- billy3321 <billy3321@gmail.com>  Sun, 29 Apr 2012 14:25:00 +0800

hotot (1:0.9.7.32+git20111213.1d89daf-1) unstable; urgency=low

  * New upstream snapshot

 -- Julien Valroff <julien@debian.org>  Sun, 11 Dec 2011 18:55:15 +0100
