=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: hotot
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, python-gobject, python-webkit, python-keybinder, python-notify, libjs-jquery
+Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, python-gobject, python-webkit, python-keybinder, python-notify, libjs-jquery, python-dbus
 Description: lightweight microblogging client
  Hotot is a lightweight Twitter and identi.ca client based on GTK+ and WebKit.
  .
