=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	chmod 644 ${DTMP}/usr/share/hotot/ext/ext.js
 	chmod 644 ${DTMP}/usr/share/hotot/js/conf.js
 	chmod 644 ${DTMP}/usr/share/hotot/ext/org.hotot.imageupload/entry.js
+	chmod 644 ${DTMP}/usr/share/hotot/ext/org.hotot.stat/entry.js
 	chmod 644 ${DTMP}/usr/share/hotot/image/ic_*.png
 	dh_fixperms
