=== debian/changelog ===
hotot (1:0.9.8.5+git20120630.884797d-1) unstable; urgency=low

  * New upstream snapshot (Closes: #680394, #667541)
  * Update copyright file as per DEP-5 1.0 standard
  * Also ships the QT version:
    + build-depends on cmake, libqt4-dev and libqtwebkit-dev
    + split the package into -common, -gtk and -qt binary packages
    + make hotot a metpackage pulling the GTK+ wrapper by default
    + add hotot-qt manpage
  * Remove unused lintian override
  * Bump standards version to 3.9.3 (no changes needed) 
  * Remove Julián Moreno Patiño from the uploaders 
  * Use hardening options

 -- Julien Valroff <julien@debian.org>  Sat, 07 Jul 2012 14:48:32 +0200
