=== debian/control ===
Source: hotot
Section: net
Priority: optional
Maintainer: Julien Valroff <julien@debian.org> 
Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~), python-distutils-extra, python-setuptools, cmake, libqt4-dev (>= 4:4.7), libqtwebkit-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3
Homepage: http://www.hotot.org
Vcs-Git: git://git.debian.org/collab-maint/hotot.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/hotot.git;a=summary

Package: hotot
Architecture: all
Depends: ${misc:Depends}, hotot-gtk | hotot-qt
Description: lightweight microblogging client - metapackage
 Hotot is a lightweight Twitter and identi.ca client based on WebKit.
 .
 Features include:
   * Update/View Timelines
   * Follow/Unfollow people
   * Post status
   * Reply tweets
   * Post direct messages
   * View people profile
   * Native notification
   * Global key-shortcut
 .
 This is the metapackage.

Package: hotot-common
Architecture: all
Depends: ${misc:Depends}
Replaces: hotot (<< 1:0.9.7.53+git20120406.8b09a8f-1)
Breaks: hotot (<< 1:0.9.7.53+git20120406.8b09a8f-1)
Description: lightweight microblogging client - common files
 Hotot is a lightweight Twitter and identi.ca client based on WebKit.
 .
 Features include:
   * Update/View Timelines
   * Follow/Unfollow people
   * Post status
   * Reply tweets
   * Post direct messages
   * View people profile
   * Native notification
   * Global key-shortcut
 .
 This package contains the common files needed to run hotot.

Package: hotot-gtk
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, hotot-common (= ${source:Version}), python-gtk2, python-gobject, python-webkit, python-keybinder, python-notify, python-dbus, libjs-jquery
Description: lightweight microblogging client - GTK+ wrapper
 Hotot is a lightweight Twitter and identi.ca client based on WebKit.
 .
 Features include:
   * Update/View Timelines
   * Follow/Unfollow people
   * Post status
   * Reply tweets
   * Post direct messages
   * View people profile
   * Native notification
   * Global key-shortcut
 .
 This package contains the GTK+ wrapper.

Package: hotot-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hotot-common (= ${source:Version})
Description: lightweight microblogging client - QT wrapper
 Hotot is a lightweight Twitter and identi.ca client based on WebKit.
 .
 Features include:
   * Update/View Timelines
   * Follow/Unfollow people
   * Post status
   * Reply tweets
   * Post direct messages
   * View people profile
   * Native notification
   * Global key-shortcut
 .
 This package contains the QT wrapper.
