=== debian/rules ===
#!/usr/bin/make -f

DTMP=debian/tmp
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install
	# rename the binary instead of using --install-scripts (due to name conflict)
	mv ${DTMP}/usr/bin/hotot debian/run 
	# make use of packaged libjs-jquery
	-rm -f ${DTMP}/usr/share/hotot/js/jquery.js
	# don't ship unused .mo files
	-rm -rf ${DTMP}/usr/share/locale

override_dh_fixperms:
	chmod 644 ${DTMP}/usr/share/hotot/ext/ext.js
	chmod 644 ${DTMP}/usr/share/hotot/js/conf.js
	chmod 644 ${DTMP}/usr/share/hotot/ext/org.hotot.stat/entry.js
	chmod 644 ${DTMP}/usr/share/hotot/image/ic_*.png
	dh_fixperms

override_dh_auto_clean:
	-rm -rf build/
	dh_auto_clean
