=== debian/changelog ===
hotot (1:0.9.8.13+git20130311-4) unstable; urgency=low

  * Upload to unstable (before twitter API1.0 deprecated)

 -- Hideki Yamane <henrich@debian.org>  Wed, 17 Apr 2013 09:37:56 +0900

hotot (1:0.9.8.13+git20130311-3) experimental; urgency=low

  * debian/control
    - add "Replace:,Conflicts: hotot-gtk (<< 1:0.9.8.13+git20130311-3)" to
      ensure upgrade (Closes: #705373)

 -- Hideki Yamane <henrich@debian.org>  Mon, 15 Apr 2013 09:30:39 +0900

hotot (1:0.9.8.13+git20130311-2) experimental; urgency=low

  * debian/control
    - add libjs-jquery package previously mentioned in debian/rules
  * debian/hotot-{gtk,common}.install
    - move symlink from -gtk to -common (Closes: #703353)

 -- Hideki Yamane <henrich@debian.org>  Fri, 05 Apr 2013 08:05:23 +0900

hotot (1:0.9.8.13+git20130311-1) experimental; urgency=low

  * New upstream snapshot (Closes: #685408)
  * New maintainer. (Closes: #700654)
  * debian/control
    - set Standards-Version: 3.9.4
    - "Recommends: xdg-utils" to solve xdg-open issue (Closes: #698131)
    - "Depends: python-gobject-dev, libwebkitgtk-3.0-dev" to enable gtk3 build

  [ Julien Valroff ]
  * Add missing CPPFLAGS hardening flags - thanks to Simon Ruderich
    <simon@ruderich.org> (Closes: #688694)

 -- Hideki Yamane <henrich@debian.org>  Thu, 04 Apr 2013 06:58:45 +0900
