=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: hotot
 Section: net
 Priority: optional
-Maintainer: Julien Valroff <julien@debian.org> 
-Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~), python-distutils-extra, python-setuptools, cmake, libqt4-dev (>= 4:4.7), libqtwebkit-dev, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
+Maintainer: Hideki Yamane <henrich@debian.org>
+Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~), python-distutils-extra, python-setuptools, cmake, libqt4-dev (>= 4:4.7), libqtwebkit-dev, dpkg-dev (>= 1.16.1~), python-gobject-dev, libwebkitgtk-3.0-dev
+Standards-Version: 3.9.4
 Homepage: http://www.hotot.org
 Vcs-Git: git://git.debian.org/collab-maint/hotot.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/hotot.git;a=summary
@@ -11,6 +11,7 @@
 Package: hotot
 Architecture: all
 Depends: ${misc:Depends}, hotot-gtk | hotot-qt
+Recommends: xdg-utils
 Description: lightweight microblogging client - metapackage
  Hotot is a lightweight Twitter and identi.ca client based on WebKit.
  .
@@ -28,9 +29,9 @@
 
 Package: hotot-common
 Architecture: all
-Depends: ${misc:Depends}
-Replaces: hotot (<< 1:0.9.7.53+git20120406.8b09a8f-1)
-Breaks: hotot (<< 1:0.9.7.53+git20120406.8b09a8f-1)
+Depends: ${misc:Depends}, libjs-jquery
+Replaces: hotot (<< 1:0.9.7.53+git20120406.8b09a8f-1), hotot-gtk (<< 1:0.9.8.13+git20130311-3)
+Breaks: hotot (<< 1:0.9.7.53+git20120406.8b09a8f-1), hotot-gtk (<< 1:0.9.8.13+git20130311-3)
 Description: lightweight microblogging client - common files
  Hotot is a lightweight Twitter and identi.ca client based on WebKit.
  .
