=== debian/changelog ===
hotot (1:0.9.8.14-3) unstable; urgency=low

  * Orphan this package. 

 -- Hideki Yamane <henrich@debian.org>  Sun, 06 Apr 2014 16:42:34 +0900

hotot (1:0.9.8.14-2) unstable; urgency=low

  * add debina/watch file and remove debian/source.lintian-overrides
  * debian/control
    - use canonical URL for Vcs-*

 -- Hideki Yamane <henrich@debian.org>  Wed, 19 Jun 2013 08:09:29 +0900

hotot (1:0.9.8.14-1) unstable; urgency=low

  * New upstream release (Closes: #712626)

 -- Hideki Yamane <henrich@debian.org>  Wed, 19 Jun 2013 07:48:18 +0900
