=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: hotot
 Section: net
 Priority: optional
-Maintainer: Hideki Yamane <henrich@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~), python-distutils-extra, python-setuptools, cmake, libqt4-dev (>= 4:4.7), libqtwebkit-dev, dpkg-dev (>= 1.16.1~), python-gobject-dev, libwebkitgtk-3.0-dev
 Standards-Version: 3.9.4
 Homepage: http://www.hotot.org
-Vcs-Git: git://git.debian.org/collab-maint/hotot.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/hotot.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/hotot.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hotot.git;a=summary
 
 Package: hotot
 Architecture: all
