=== debian/watch ===
version=3
https://github.com/lyricat/Hotot/tags .*/v?(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz)) debian uupdate
